import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/env/envDevice` + url, ...arg)

export default {
	getDevicePage(data) {
		return request('/page', data, 'get')
	},
	addDevice(data) {
		return request('/add', data, 'post')
	},
	editDevice(data) {
		return request('/edit', data, 'post')
	},
	delDevice(data) {
		return request('/delete', data, 'post')
	},
	// 设备汇总
	getDeviceCount(data) {
		return request('/deviceCount', data, 'get')
	},
	// 设备类型选择器
	getDeviceType(data) {
		return request('/deviceTypeSelector', data, 'get')
	}
}
